function SetInspectorPanel()
{
    return VStack([
        Padding(15),
        HStack([
            Padding(15),
            FramedTextField("Set Name", "tileSet.setTitle")  
                .fillWidth()
                .setAXTitle("Set Name")
                .disableKey("locked")
                .viewName("title"),
            Padding(14),
        ]),
        Padding(8),
        VStack([
            HStack([
                Label("Set Notes")
                    .textAlign(0,0)
                    .fontSize(13) 
                    .fontColor(Colors.fontColor)
                    .setAXHelp("Notes for the current selected set"), 
                Spacer(), 
            ]),
            Padding(5),
            NotesPane("Set")
                .viewName("setNotesPanel")
        ]).makeView().hPad(15), 
        
        Padding(10),
        Divider(), 
        
        SecuritySection().viewName("securitySection"),

        SmartSetSection()  
            .addLayout("V:[self(<=100@400)]") 
            .collapseKey("hideSmartSetRules")
            .viewName("smartSetRulesContainer"),

        AutomationSection("setAutomationsList") 
            .setAXTitle(`Set Automations`)
            .setAXRole("Automation List")
            .fillWidth(),

        Spacer(),
        
        
        ControllersSection().viewName("setControllersSection"),
    ]) 
    .makeView("GXSettingsView") 
    .setAXRole("")
    .setAXTitle("Set Inspector")
    .setAXHelp("Inspect and edit settings of “<gx>tileSet.title</gx>” Set") 
    .viewName("setInspectorView")
    .keyPath(""); 
   
}

function SmartSetSection()
{
    return VStack([
        Divider(),  
        Padding(10),
        
        HStack([
            Padding(15),
            Label("Smart Set Rules").keyPath("").fontSize(14).height(14).fontWeight(0.4),
            Spacer(),
        ])
        .makeView()
        .height(20),
       
        Padding(6),

        Label()
            .forePainter(LabelPainter().color(Colors.fontColor).align(0,0).setValues({
                gxUseInlineMarkup: true,
            }))
            .fontSize(13)   
            .intrinsicSize(-1,null)
            .hPad(15) 
            .keyPath("smartRulesText"),
       
        Padding(),
       
        HStack([
            Padding(12),
            PushButton("Edit Rules...")
                .toolTip("Edit smart set rules")
                .width(100)
                .keyPath("editSmartSet"),
            Spacer(),
        ])
        .makeView() 
        .height(30)
        .expandKey("showEditSmartSetButton"),
        Padding(6),
    ])
    .makeView()
    .shrinky()
    .fillWidth();
}