markup.push({
	
	"LabelFore": {
		nsClass: "GXStringPainter",
		gxFontSize: 13,
		gxFontColor: Colors.primaryContent,		// default to primary
		gxFontShadow: "[0, 0, 0, 0], [0, 1], 1",
		gxHAlign: 0.5,
		gxVAlign: 0.5,

		// alignment styles
		"left": 		{ gxHAlign: 0 },
		"centerx": 	{ gxHAlign: 0.5 },
		"right": 	{ gxHAlign: 1 },
		"top": 		{ gxVAlign: 0 },
		"centery": 	{ gxVAlign: 0.5 },
		"bottom": 	{ gxVAlign: 1 },
		"compact" : { gxFontFamily: "SF Compact" },

		// weight (font weights match apple's naming)
		"light":     { gxFontWeight: -0.4 },
		"regular":   { gxFontWeight: 0 },
		"medium":   { gxFontWeight: 0.23 },
		"bold":      { gxFontWeight: 0.4 },

		// new font colors
		"white":     	    { gxFontColor: Colors.white },
		"black":     	    { gxFontColor: Colors.black },
		"primary":          { gxFontColor: Colors.primaryContent },
		"secondary":        { gxFontColor: Colors.secondaryContent }, 
		"tertiary":         { gxFontColor: Colors.tertiaryContent },
		
		"warning":     	    { gxFontColor: Colors.warning },
		"yellow":     	    { gxFontColor: Colors.yellow },
		
		"tileTint" :       { gxFontColor: Colors.tileTint },
		"tileTintPale" :   { gxFontColor: Colors.tileTintPale }, 

		"hiliteActive": { gxFontColor: Colors.highlightActive }, 

		"on":  		  { gxFontColor: Colors.tertiaryContent },
		"disabled":   { gxFontColor: Colors.tertiaryContent , "disabled" : { gxFontColor : Colors.white } },
		"locked":     { gxFontColor: Colors.tertiaryContent },
		// word wrap
		"wrap":    { gxLineBreakMode: 0 },

		// sizes
		"size9":   { gxFontSize: 9 },
		"size95":  { gxFontSize: 9.5 },
		"size10":  { gxFontSize: 10 },
		"size105": { gxFontSize: 10.5 },
		"size11":  { gxFontSize: 11 },
		"size115": { gxFontSize: 11.5 },
		"size12":  { gxFontSize: 12 },
		"size125": { gxFontSize: 12.5 },
		"size13":  { gxFontSize: 13 },
		"size135": { gxFontSize: 13.5 },
		"size14":  { gxFontSize: 14 },
		"size145": { gxFontSize: 14.5 },
		"size15":  { gxFontSize: 15 },
		"size16":  { gxFontSize: 16 },
		"size17":  { gxFontSize: 17 },
		"size18":  { gxFontSize: 18 },
		"size20":  { gxFontSize: 20 },
		"size22":  { gxFontSize: 22 }
	},
	
	"TextStyles" : {
		"+" : "LabelFore",
		"trackSeperator" : { gxFontColor: Colors.secondaryContent }, 
	},

	"SDLowerRightText" : {
		nsClass : "GXStringPainter",
		gxHAlign: 1,
		gxFontSize: 20,
	},

	"SDIconText" : {
		nsClass : "GXStringPainter",
		gxHAlign: 0.5,
		gxVAlign: 0.5,
		gxFontSize: 60,
	}
});
