let automationFillColorFocused = MainThemeColor(Colors.tileTint.withAlpha(0.1), Colors.tileTint.withAlpha(0.2));
let automationFillColorMain = MainThemeColor(Colors.black.withAlpha(0.1), Colors.black.showDisabled(Colors.black.darkMode).withAlpha(0.4));
let automationFillColor = automationFillColorMain.addStyle("focused", automationFillColorFocused);

markup.push({ 
    "AutomationItemView" : HStack([ 
        Padding(25),
        VStack([
            Padding(8),
            HStack([
                Padding(2),
                PopupButton()
                    .menuItemsPath("actionsItems")
                    .label("Event")
                    .keyPath("action")
                    .disableKey("disabled")
                    .setAXTitle("Automation Event")
                    .fillWidth(),
                Padding(6),
                HStack([
                    SwitchSection("", "enabledSwitch"),
                    Padding(2),
                ]),
                Padding()
            ]), 
            Padding(2),
            HStack([ 
                Padding(12),
 
                PopupButton() 
                    .className("FGShortcutsMenuButton") 
                    .setAXTitle("Shortcut Selection")
                    .menuItems([
                        MenuItem(""),
                        MenuItem("Loading Shortcuts...")
                    ]) 
                    .label("Run")
                    .keyPath("shortcutName") 
                    .disableKey("disabled")
                    .fillWidth(), 
                
                Button(Constants.warningEmoji)
                    .backPainter(null)  
                    .size(22)
                    .keyPath("showError")
                    .showKey("hasError")
                    .expandKey("hasError", true)
                    ,
                    
                Padding(8),
            ]),
            Spacer(),
        ]), 
        Padding(15),
    ])
    .makeView("GXSettingsView") 
    .setValues({
        "drawsSelected" : true,
        "selectable" : true,
        "mutlipleSelection" : false,
        "gxDrawsFocused" : true,
    })
    .height(76)
    .setAXTitle("Automation Item <gx>position</gx>")
    .hPad(0)
    .backPainter(
        Painter()
            .insets(14,0,14,0)
            .radius(10)
            .stroke(1, Colors.contrast)
        )
    .forePainter(
        Painter()
            .insets(15,1,15,1)
            .radius(8)
            .stroke(3, Colors.secondaryBackground.addStyle("focused", Colors.tileTint))
        )
});
